Summary: Glide runtime for 3Dfx Voodoo Banshee and Voodoo3 boards
Name: Glide_V3-DRI
Version: cvs
Serial: 1
Release: alt5.1
%define stage 20040204
Source: glide3x-%stage.tar.bz2
Source1: glide2-includes.tar.bz2
Source2: swlibs-%stage.tar.bz2
Patch: glide3x-h3-asm.patch
License: 3dfx Glide General Public License
Group: System/Libraries

Packager: L.A. Kostis <lakostis at altlinux dot ru>

# Automatically added by buildreq on Sun Feb 01 2004 (-ba)
BuildRequires: XFree86-devel glibc-devel-static nasm

# Added by hands
BuildPrereq: libtool_1.4

%description
This library allows the user to use a 3dfx Interactive Voodoo Banshee
or Voodoo3 card under Linux with DRI support.  The source support DRI
versions of Glide.

%package -n Glide_V5
Summary: Glide runtime for 3Dfx Voodoo4 & 5 boards
Version: cvs
Serial: 1
License: 3dfx Glide General Public License
Group: System/Libraries

%description -n Glide_V5
This library allows the user to use a 3dfx Interactive Voodoo4
or Voodoo5 card under Linux with DRI support.  The source support DRI
versions of Glide.

# Glide3 DRI
%package devel
Summary: Development headers for Glide 3.x DRI
Group: Development/C
Requires: %name = %serial:%version-%release
Obsoletes: Glide_V5-devel

%description devel
This package includes the headers files necessary for developing
applications that use the 3Dfx Interactive Voodoo cards.

%prep
%setup -q -n glide3x -a 2
%patch -p1 -b .asm

%set_libtool_version 1.4

#Fix CFLAGS
%define _optlevel 6
%add_optflags %optflags_kernel
%set_verify_elf_method textrel=relaxed
perl -pi -e "s/^CNODEBUG       = -O6 -m486 -fomit-frame-pointer -funroll-loops \.*/CNODEBUG = $RPM_OPT_FLAGS /" swlibs/include/make/3dfx.linux.mak
perl -pi -e "s/^CNODEBUG       = -O6 -m486 -fomit-frame-pointer -funroll-loops \.*/CNODEBUG = $RPM_OPT_FLAGS /" swlibs/include/make/3dfx.mak
perl -pi -e "s/^GLIDE_DEBUG_GCFLAGS = -O6 -m486\.*/GLIDE_DEBUG_GCFLAGS = $RPM_OPT_FLAGS /" swlibs/include/make/makefile.autoconf.bottom

# ldv: This package requires some magic
%buildmulti
libtoolize --copy --force
# Build for v3 with DRI
AS=nasm ./chores.3dfx --clean \
	      --generate \
	      --configure="--enable-fx-glide-hw=h3 \
			   --enable-fx-tex=texus2 \
			   --enable-amd3d \
			   --prefix=%buildroot/%prefix \
			   --infodir=%_infodir \
			   --mandir=%_mandir" \
	      --build

# Install Glide_V3 library
mkdir -p $RPM_BUILD_ROOT
pushd $RPM_BUILD_DIR/glide3x/build
sh ./build.3dfx install
popd

# Rename library
mv $RPM_BUILD_ROOT%_libdir/libglide3.so.3.10.0 $RPM_BUILD_ROOT%_libdir/libglide3-v3.so.3.10.0
ln -s libglide3-v3.so.3.10.0 $RPM_BUILD_ROOT%_libdir/libglide3-v3.so.3
ln -s libglide3-v3.so.3.10.0 $RPM_BUILD_ROOT%_libdir/libglide3-v3.so

# Build for v5 with DRI
AS=nasm ./chores.3dfx --clean \
	      --generate \
	      --configure="--enable-fx-glide-hw=h5 \
			   --enable-fx-tex=texus2 \
			   --enable-amd3d \
			   --enable-mmx \
			   --enable-sse \
			   --enable-sse2 \
			   --prefix=%buildroot/%prefix \
			   --infodir=%_infodir \
			   --mandir=%_mandir" \
	      --build

# Install Glide_V5 library
mkdir -p $RPM_BUILD_ROOT
pushd $RPM_BUILD_DIR/glide3x/build
sh ./build.3dfx install
popd

# Rename library
mv $RPM_BUILD_ROOT%_libdir/libglide3.so.3.10.1 $RPM_BUILD_ROOT%_libdir/libglide3-v5.so.3.10.1
ln -s libglide3-v5.so.3.10.1 $RPM_BUILD_ROOT%_libdir/libglide3-v5.so.3
ln -s libglide3-v5.so.3.10.1 $RPM_BUILD_ROOT%_libdir/libglide3-v5.so
ln -sf libglide3-v5.so.3.10.1 $RPM_BUILD_ROOT%_libdir/libglide3.so.3
ln -sf libglide3.so.3 $RPM_BUILD_ROOT%_libdir/libglide3.so

%install
# Install headers
cd $RPM_BUILD_ROOT%_includedir
tar xjvf %SOURCE1

%post -p %post_ldconfig
%postun -p %post_ldconfig

%post -n Glide_V5 -p %post_ldconfig
%postun -n Glide_V5 -p %post_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README COPYING INSTALL
%_libdir/libglide3-v3.so*
%_libdir/libglide3.so*

%files -n Glide_V5
%doc AUTHORS ChangeLog NEWS README COPYING INSTALL
%_libdir/libglide3-v5.so*
%_libdir/libglide3.so*

%files devel
%dir %_includedir/glide3
%_includedir/glide3/*
%_includedir/glide2/*

%changelog
* Fri Apr 02 2004 LAKostis <lakostis at altlinux dot ru> 1:cvs-alt5.1
- remove unwanted BuildReq, we only hold libtool now.

* Sun Feb 01 2004 LAKostis <lakostis at altlinux dot ru> 1:cvs-alt5
- Back to old scheme (checkout glide3x and swlibs separately)
- Big rebuild with all whistlers (SSE/SSE2/3DNOW/MMX)
- Now we work on glide-devel-branch

* Tue Nov 12 2002 Konstantin Volckov <goldhead@altlinux.ru> 1:cvs-alt4
- Rebult in new environment

* Wed Mar 20 2002 Konstantin Volckov <goldhead@altlinux.ru> cvs-alt2
- Fixed build

* Tue Mar 19 2002 Konstantin Volckov <goldhead@altlinux.ru> cvs-alt2
- Rebuild Glide_V3-DRI & Glide_V5 from one spec file
- Removed static library & .so symlink from devel package

* Tue Dec 18 2001 AEN <aen@logic.ru> cvs-alt1
- rebuild w/o libtoolize

* Wed Jun 26 2001 AEN <aen@logic.ru> cvs-ipl5mdk
- added Glide2 includes for XFree build

* Wed Jun 13 2001 AEN <aen@logic.ru> cvs-ipl4mdk
- devel required base package (thnx to Sergei Vlasov)
* Mon Jun 4 2001 AEN <aen@logic.ru> cvs-ipl3mdk
- new snapshot

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Wed Aug 23 2000 <yoann@mandrakesoft.com> cvs-1mdk
- linux.3dfx.com doesn't distribute Glide RPM / tarball
  containing g3ext.h which is needed to compile XF4.0.1,

  This RPM use the Glide CVS tree.
  If something goes wrong, blame the Glide team for not doing release.
